# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

# API of python.eclass in EAPI > 3 not established (see python.eclass)'
EAPI="3"

# HACK: PYTHON_DEPEND and RESTRICT_PYTHON_ABIS currently hardcoded.
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"

PYTHON_MODNAME="yolk"

inherit distutils

DESCRIPTION="Command-line tool querying PyPI and Python packages installed on your system."
HOMEPAGE="http://tools.assembla.com/yolk/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~x64-macos ~x86"
SLOT="0"
IUSE="test doc examples"
DEPEND="dev-python/setuptools
	test? ( dev-python/nose )"
RDEPEND="dev-python/setuptools
	dev-python/yolk-portage"

src_install() {
	distutils_src_install
	if use doc; then
		dodoc "${S}"/docs/*
	fi
	if use examples; then
		insinto /usr/share/doc/"${PF}"/examples
		doins -r "${S}"/examples/*
	fi
}

src_test() {
	PYTHONPATH=. "${python}" setup.py nosetests || die "tests failed"
}
